## deltarpm 3.5+git20130520.7ededff+dfsg

=== Makefile ===
prefix=/usr/local
bindir=$(prefix)/bin
libdir=$(prefix)/lib
mandir=$(prefix)/man
rpmdumpheader=$(bindir)/rpmdumpheader
zlibdir=zlib-1.2.2.f-rsyncable
zlibbundled=$(zlibdir)/libz.a
zlibldflags=$(zlibbundled)
zlibcppflags=-I$(zlibdir)
pylibprefix=/
CFLAGS = -fPIC -O2 -Wall -g
CPPFLAGS = -fPIC -DDELTARPM_64BIT -DBSDIFF_NO_SUF -DRPMDUMPHEADER=\"$(rpmdumpheader)\" $(zlibcppflags)
LDLIBS = -lbz2 $(zlibldflags) -llzma
LDFLAGS =

all: makedeltarpm applydeltarpm rpmdumpheader makedeltaiso applydeltaiso combinedeltarpm fragiso

python: _deltarpmmodule.so

makedeltarpm: makedeltarpm.o writedeltarpm.o md5.o util.o rpml.o rpmhead.o cpio.o delta.o cfile.o $(zlibbundled)

applydeltarpm: applydeltarpm.o readdeltarpm.o md5.o sha256.o util.o rpmhead.o cpio.o cfile.o prelink.o $(zlibbundled)

combinedeltarpm: combinedeltarpm.o md5.o util.o rpmhead.o cfile.o readdeltarpm.o writedeltarpm.o $(zlibbundled)

rpmdumpheader: rpmdumpheader.o
	$(CC) $(LDFLAGS) $^ -lrpm -lrpmio -o $@

makedeltaiso: makedeltaiso.o delta.o rpmoffs.o rpmhead.o util.o md5.o cfile.o $(zlibbundled)

applydeltaiso: applydeltaiso.o util.o md5.o cfile.o $(zlibbundled)

fragiso: fragiso.o util.o md5.o rpmhead.o cfile.o $(zlibbundled)

_deltarpmmodule.so: readdeltarpm.o rpmhead.o util.o md5.o cfile.o $(zlibbundled)
	for PY in python python3 ; do \
		if [ -x /usr/bin/$$PY-config ] && [ -x /usr/bin/$$PY ]; then \
			PYVER=`$$PY -c 'from distutils import sysconfig ; print(sysconfig.get_python_version())'`; \
			PYCFLAGS=`$$PY-config --cflags`; \
			PYLDFLAGS=`$$PY-config --ldflags`; \
			if [ ! -f "python$$PYVER/$@" ]; then \
				mkdir -p python$$PYVER ;\
				$(CC) $(CFLAGS) $$PYCFLAGS $(zlibcppflag) -fPIC -c -o python$$PYVER/deltarpmmodule.o deltarpmmodule.c ;\
				$(CC) -o python$$PYVER/$@ python$$PYVER/deltarpmmodule.o $^ -shared -Wl,-soname,_deltarpmmodule.so $(LDLIBS) $$PYLDFLAGS; \
			fi; \
		fi; \
	done

$(zlibbundled):
	cd $(zlibdir) ; make CFLAGS="-fPIC $(CFLAGS)" libz.a

clean:
	rm -f *.o
	rm -f makedeltarpm applydeltarpm combinedeltarpm rpmdumpheader makedeltaiso applydeltaiso fragiso
	cd $(zlibdir) ; make clean

install:
	mkdir -p $(DESTDIR)$(bindir)
	install -m 755 makedeltarpm  $(DESTDIR)$(bindir)
	install -m 755 applydeltarpm $(DESTDIR)$(bindir)
	install -m 755 combinedeltarpm $(DESTDIR)$(bindir)
	install -m 755 rpmdumpheader $(DESTDIR)$(rpmdumpheader)
	install -m 755 makedeltaiso $(DESTDIR)$(bindir)
	install -m 755 applydeltaiso $(DESTDIR)$(bindir)
	install -m 755 fragiso $(DESTDIR)$(bindir)
	install -m 755 drpmsync $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(mandir)/man8
	install -m 644 makedeltarpm.8 $(DESTDIR)$(mandir)/man8
	install -m 644 applydeltarpm.8 $(DESTDIR)$(mandir)/man8
	install -m 644 combinedeltarpm.8 $(DESTDIR)$(mandir)/man8
	install -m 644 makedeltaiso.8 $(DESTDIR)$(mandir)/man8
	install -m 644 applydeltaiso.8 $(DESTDIR)$(mandir)/man8
	install -m 644 fragiso.8 $(DESTDIR)$(mandir)/man8
	install -m 644 drpmsync.8 $(DESTDIR)$(mandir)/man8
	for PY in python python3 ; do \
		if [ -x /usr/bin/$$PY ]; then \
                        PYLIB=`$$PY -c 'from distutils import sysconfig ; print(sysconfig.get_python_lib(1))'` ; \
			PYVER=`$$PY -c 'from distutils import sysconfig ; print(sysconfig.get_python_version())'` ; \
			if [ -e python$$PYVER/_deltarpmmodule.so ]; then \
				mkdir -p $(DESTDIR)$(pylibprefix)$$PYLIB ; \
				install -m 755 python$$PYVER/_deltarpmmodule.so $(DESTDIR)$(pylibprefix)$$PYLIB ; \
				install -m 644 deltarpm.py $(DESTDIR)$(pylibprefix)$$PYLIB ; \
			fi; \
		fi; \
	done

.PHONY: clean install

makedeltarpm.o: makedeltarpm.c deltarpm.h util.h md5.h rpmhead.h delta.h cfile.h
applydeltarpm.o: applydeltarpm.c deltarpm.h util.h md5.h rpmhead.h cpio.h cfile.h prelink.h
rpmdumpheader.o: rpmdumpheader.c
makedeltaiso.o: makedeltaiso.c delta.h rpmoffs.h cfile.h md5.h
applydeltaiso.o: applydeltaiso.c cfile.h md5.h
combinedeltarpm.o: combinedeltarpm.c cfile.h md5.h rpmhead.h deltarpm.h
md5.o: md5.c md5.h
util.o: util.c util.h
rpml.o: rpml.c rpml.h
cpio.o: cpio.c cpio.h
rpmhead.o: rpmhead.c rpmhead.h
delta.o: delta.c delta.h util.h
prelink.o: prelink.c prelink.h
cfile.o: cfile.c cfile.h
rpmoffs.o: rpmoffs.c rpmoffs.h
readdeltarpm.o: readdeltarpm.c deltarpm.h util.h md5.h rpmhead.h cfile.h
writedeltarpm.o: readdeltarpm.c deltarpm.h md5.h rpmhead.h cfile.h
fragiso.o: fragiso.c util.h md5.h rpmhead.h cfile.h
deltarpmmodule.o: deltarpmmodule.c

=== debian/changelog ===
deltarpm (3.5+git20130520.7ededff+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #709539)

 -- Mike Miller <mtmiller@ieee.org>  Sun, 02 Jun 2013 11:44:52 -0400

=== debian/rules ===
#!/usr/bin/make -f

SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
UVERSION := $(shell echo $(VERSION) | sed -e 's/+dfsg.*//')
COMMIT := $(shell echo $(UVERSION) | sed -e 's/.*\.\([0-9abcdef]\+\)/\1/')

CFLAGS := $(shell dpkg-buildflags --get CFLAGS) \
	  $(shell dpkg-buildflags --get CPPFLAGS) -Wall -fPIC
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
LDLIBS := $(shell pkg-config --libs zlib liblzma) -lbz2

PYTHON2 := $(shell pyversions -r)
PYTHON3 := $(shell py3versions -r)

make_args := prefix=/usr \
	     mandir=/usr/share/man \
	     CFLAGS="$(CFLAGS)" \
	     LDFLAGS="$(LDFLAGS)" \
	     LDLIBS="$(LDLIBS)" \
	     PYTHONS="$(PYTHON2) $(PYTHON3)" \
	     zlibbundled="" \
	     zlibcppflags="" \
	     zlibldflags="$(shell pkg-config --libs zlib)"

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	dh_auto_build -- all python $(make_args)

override_dh_auto_install:
	dh_auto_install -- install $(make_args)
	# Handle Python 3 extension naming - adapted from dbus-python
	# 1) Replace ".so" with EXT_SUFFIX
	# 2) Drop "module" from the filename, no longer works with python >> 3.2
	rm -f debian/tmp/usr/lib/python3/dist-packages/*.so
	set -e && for py in $(PYTHON3); do \
		so=`/usr/bin/$$py -c "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX') or sysconfig.get_config_var('SO'))"`; \
		install $$py/_deltarpmmodule.so \
			debian/tmp/usr/lib/python3/dist-packages/_deltarpm$$so; \
	done

override_dh_auto_clean:
	mkdir -p zlib-1.2.2.f-rsyncable
	echo "clean:" > zlib-1.2.2.f-rsyncable/Makefile
	dh_auto_clean
	rm -rf python[0-9].[0-9]
	rm -rf zlib-1.2.2.f-rsyncable

override_dh_installdocs:
	dh_installdocs NEWS README

# Archive the upstream source distribution from git, removing the embedded
# copy of zlib along the way. Assumes running within a git repository that
# contains the upstream git repository. Compression is bzip2 because that's
# what official upstream tarballs are.
get-orig-source:
	echo VERSION=$(VERSION)
	echo UVERSION=$(UVERSION)
	echo COMMIT=$(COMMIT)
	git archive --format=tar --prefix=$(SOURCE)-$(UVERSION)/ $(COMMIT) | \
		bzip2 > $(SOURCE)_$(UVERSION).orig.tar.bz2
	cd debian \
	&& rm -rf $(SOURCE)-$(UVERSION) \
	&& bzip2 -dc ../$(SOURCE)_$(UVERSION).orig.tar.bz2 | tar xf - \
	&& rm -rf $(SOURCE)-$(UVERSION)/zlib-1.2.2.f-rsyncable \
	&& tar c --format=posix $(SOURCE)-$(UVERSION) | \
		bzip2 > ../$(SOURCE)_$(UVERSION)+dfsg.orig.tar.bz2 \
	&& rm -rf $(SOURCE)-$(UVERSION)

.PHONY: get-orig-source

## deltarpm 3.5.git

=== Makefile ===
prefix=/usr/local
bindir=$(prefix)/bin
libdir=$(prefix)/lib
mandir=$(prefix)/man
rpmdumpheader=$(bindir)/rpmdumpheader
zlibdir=zlib-1.2.2.f-rsyncable
CFLAGS = -fPIC -O2 -Wall -g
CPPFLAGS = -fPIC -DDELTARPM_64BIT -DBSDIFF_NO_SUF -DRPMDUMPHEADER=\"$(rpmdumpheader)\" -I$(zlibdir)
LDLIBS = -lbz2 $(zlibdir)/libz.a -llzma
LDFLAGS =
PYTHONVERS = $(shell ls /usr/include/python*/Python.h | sed "s|/usr/include/||g"| sed "s|/Python.h||g")

all: makedeltarpm applydeltarpm rpmdumpheader makedeltaiso applydeltaiso combinedeltarpm fragiso

python: _deltarpmmodule.so

makedeltarpm: makedeltarpm.o writedeltarpm.o md5.o util.o rpml.o rpmhead.o cpio.o delta.o cfile.o $(zlibdir)/libz.a

applydeltarpm: applydeltarpm.o readdeltarpm.o md5.o sha256.o util.o rpmhead.o cpio.o cfile.o prelink.o $(zlibdir)/libz.a

combinedeltarpm: combinedeltarpm.o md5.o util.o rpmhead.o cfile.o readdeltarpm.o writedeltarpm.o $(zlibdir)/libz.a

rpmdumpheader: rpmdumpheader.o
	$(CC) $(LDFLAGS) $^ -lrpm -lrpmio -o $@

makedeltaiso: makedeltaiso.o delta.o rpmoffs.o rpmhead.o util.o md5.o cfile.o $(zlibdir)/libz.a

applydeltaiso: applydeltaiso.o util.o md5.o cfile.o $(zlibdir)/libz.a

fragiso: fragiso.o util.o md5.o rpmhead.o cfile.o $(zlibdir)/libz.a

_deltarpmmodule.so: readdeltarpm.o rpmhead.o util.o md5.o cfile.o $(zlibdir)/libz.a
	for ver in $(PYTHONVERS) ; do \
		if [ ! -f "$$ver/$@" ]; then \
			mkdir -p $$ver ;\
			$(CC) $(CFLAGS) -I/usr/include/$$ver -I$(zlibdir) -fPIC -c -o $$ver/deltarpmmodule.o deltarpmmodule.c ;\
			$(CC) -o $$ver/$@ $$ver/deltarpmmodule.o $^ -shared -Wl,-soname,_deltarpmmodule.so $(zlibdir)/libz.a -llzma -lbz2; \
		fi; \
	done

$(zlibdir)/libz.a:
	cd $(zlibdir) ; make CFLAGS="-fPIC $(CFLAGS)" libz.a

clean:
	rm -f *.o
	rm -f makedeltarpm applydeltarpm combinedeltarpm rpmdumpheader makedeltaiso applydeltaiso fragiso
	cd $(zlibdir) ; make clean

install:
	mkdir -p $(DESTDIR)$(bindir)
	install -m 755 makedeltarpm  $(DESTDIR)$(bindir)
	install -m 755 applydeltarpm $(DESTDIR)$(bindir)
	install -m 755 combinedeltarpm $(DESTDIR)$(bindir)
	install -m 755 rpmdumpheader $(DESTDIR)$(rpmdumpheader)
	install -m 755 makedeltaiso $(DESTDIR)$(bindir)
	install -m 755 applydeltaiso $(DESTDIR)$(bindir)
	install -m 755 fragiso $(DESTDIR)$(bindir)
	install -m 755 drpmsync $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(mandir)/man8
	install -m 644 makedeltarpm.8 $(DESTDIR)$(mandir)/man8
	install -m 644 applydeltarpm.8 $(DESTDIR)$(mandir)/man8
	install -m 644 combinedeltarpm.8 $(DESTDIR)$(mandir)/man8
	install -m 644 makedeltaiso.8 $(DESTDIR)$(mandir)/man8
	install -m 644 applydeltaiso.8 $(DESTDIR)$(mandir)/man8
	install -m 644 drpmsync.8 $(DESTDIR)$(mandir)/man8
	for ver in $(PYTHONVERS) ; do \
		if [ -e $$ver/_deltarpmmodule.so ]; then \
			mkdir -p $(DESTDIR)$(libdir)/$$ver/site-packages ; \
			install -m 755 $$ver/_deltarpmmodule.so $(DESTDIR)$(libdir)/$$ver/site-packages ;\
			install -m 644 deltarpm.py $(DESTDIR)$(libdir)/$$ver/site-packages ;\
		fi; \
	done

.PHONY: clean install

makedeltarpm.o: makedeltarpm.c deltarpm.h util.h md5.h rpmhead.h delta.h cfile.h
applydeltarpm.o: applydeltarpm.c deltarpm.h util.h md5.h rpmhead.h cpio.h cfile.h prelink.h
rpmdumpheader.o: rpmdumpheader.c
makedeltaiso.o: makedeltaiso.c delta.h rpmoffs.h cfile.h md5.h
applydeltaiso.o: applydeltaiso.c cfile.h md5.h
combinedeltarpm.o: combinedeltarpm.c cfile.h md5.h rpmhead.h deltarpm.h
md5.o: md5.c md5.h
util.o: util.c util.h
rpml.o: rpml.c rpml.h
cpio.o: cpio.c cpio.h
rpmhead.o: rpmhead.c rpmhead.h
delta.o: delta.c delta.h util.h
prelink.o: prelink.c prelink.h
cfile.o: cfile.c cfile.h
rpmoffs.o: rpmoffs.c rpmoffs.h
readdeltarpm.o: readdeltarpm.c deltarpm.h util.h md5.h rpmhead.h cfile.h
writedeltarpm.o: readdeltarpm.c deltarpm.h md5.h rpmhead.h cfile.h
fragiso.o: fragiso.c util.h md5.h rpmhead.h cfile.h
deltarpmmodule.o: deltarpmmodule.c

=== zlib-1.2.2.f-rsyncable/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-2003 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h

# To compile and test, type:
#    ./configure; make test
# The call of configure is optional if you don't have special requirements
# If you wish to build zlib as a shared library, use: ./configure -s

# To use the asm code, type:
#    cp contrib/asm?86/match.S ./match.S
#    make LOC=-DASMV OBJA=match.o

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

CC=cc

CFLAGS=-O
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=libz.a
LDSHARED=$(CC)
CPP=$(CC) -E

LIBS=libz.a
SHAREDLIB=libz.so
SHAREDLIBV=libz.so.1.2.2.2
SHAREDLIBM=libz.so.1

AR=ar rc
RANLIB=ranlib
TAR=tar
SHELL=/bin/sh
EXE=

prefix = /usr/local
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
mandir = ${prefix}/share/man
man3dir = ${mandir}/man3

OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infback.o inftrees.o inffast.o

OBJA =
# to use the asm code: make OBJA=match.o

TEST_OBJS = example.o minigzip.o

all: example$(EXE) minigzip$(EXE)

check: test
test: all
	@LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH) ; export LD_LIBRARY_PATH; \
	echo hello world | ./minigzip | ./minigzip -d || \
	  echo '		*** minigzip test FAILED ***' ; \
	if ./example; then \
	  echo '		*** zlib test OK ***'; \
	else \
	  echo '		*** zlib test FAILED ***'; \
	fi

libz.a: $(OBJS) $(OBJA)
	$(AR) $@ $(OBJS) $(OBJA)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

match.o: match.S
	$(CPP) match.S > _match.s
	$(CC) -c _match.s
	mv _match.o match.o
	rm -f _match.s

$(SHAREDLIBV): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f $(SHAREDLIB) $(SHAREDLIBM)
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIBM)

example$(EXE): example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip$(EXE): minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! -d $(exec_prefix) ]; then mkdir -p $(exec_prefix); fi
	-@if [ ! -d $(includedir)  ]; then mkdir -p $(includedir); fi
	-@if [ ! -d $(libdir)      ]; then mkdir -p $(libdir); fi
	-@if [ ! -d $(man3dir)     ]; then mkdir -p $(man3dir); fi
	cp zlib.h zconf.h $(includedir)
	chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
	cp $(LIBS) $(libdir)
	cd $(libdir); chmod 755 $(LIBS)
	-@(cd $(libdir); $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(libdir); if test -f $(SHAREDLIBV); then \
	  rm -f $(SHAREDLIB) $(SHAREDLIBM); \
	  ln -s $(SHAREDLIBV) $(SHAREDLIB); \
	  ln -s $(SHAREDLIBV) $(SHAREDLIBM); \
	  (ldconfig || true)  >/dev/null 2>&1; \
	fi
	cp zlib.3 $(man3dir)
	chmod 644 $(man3dir)/zlib.3
# The ranlib in install is needed on NeXTSTEP which checks file times
# ldconfig is for Linux

uninstall:
	cd $(includedir); \
	cd $(libdir); rm -f libz.a; \
	if test -f $(SHAREDLIBV); then \
	  rm -f $(SHAREDLIBV) $(SHAREDLIB) $(SHAREDLIBM); \
	fi
	cd $(man3dir); rm -f zlib.3

mostlyclean: clean
clean:
	rm -f *.o *~ example$(EXE) minigzip$(EXE) \
	   libz.* foo.gz so_locations \
	   _match.s maketree contrib/infback9/*.o

maintainer-clean: distclean
distclean: clean
	cp -p Makefile.in Makefile
	cp -p zconf.in.h zconf.h
	rm -f .DS_Store

tags:
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: crc32.h zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inflate.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
infback.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
minigzip.o: zlib.h zconf.h
trees.o: deflate.h zutil.h zlib.h zconf.h trees.h
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

=== debian/changelog ===
deltarpm (3.5.git) unstable; urgency=low

  * First cut for ubuntu

 -- Gui Chen <gui.chen@intel.com>  Wed, 1 Aug 2012 09:28:48 +0100

=== debian/control ===
Source: deltarpm
Section: admin
Priority: optional
Maintainer: Gui Chen <gui.chen@inte.com>
Build-Depends: debhelper (>= 4.0.0), dpatch, cdbs, python-dev, python-support, libbz2-dev, librpm-dev, liblzma-dev
Standards-Version: 3.7.3
Homepage: ftp://ftp.suse.com/pub/projects/deltarpm

Package: deltarpm
Architecture: any
Depends: ${python:Depends}, python-rpm, rpm (>= 4.1.1)
Description: This package contains tools to create and apply deltarpms. A deltarpm contains the difference between an old and a new version of an RPM, which makes it possible to recreate the new RPM from the deltarpm and the old one. You do not need to have a copy of the old RPM, because deltarpms can also work with installed RPMs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make
unexport LDFLAGS

build:
	dh_testdir

	$(MAKE) CC="gcc"
	$(MAKE) CC="gcc" python

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/deltarpm prefix=/usr mandir=/usr/share/man/man1 install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_pysupport
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## deltarpm 3.6+dfsg

=== Makefile ===
prefix=/usr/local
bindir=$(prefix)/bin
libdir=$(prefix)/lib
mandir=$(prefix)/man
rpmdumpheader=$(bindir)/rpmdumpheader
zlibdir=zlib-1.2.2.f-rsyncable
zlibbundled=$(zlibdir)/libz.a
zlibldflags=$(zlibbundled)
zlibcppflags=-I$(zlibdir)
pylibprefix=/
CFLAGS = -fPIC -O2 -Wall -g
CPPFLAGS = -fPIC -DDELTARPM_64BIT -DBSDIFF_NO_SUF -DRPMDUMPHEADER=\"$(rpmdumpheader)\" $(zlibcppflags)
LDLIBS = -lbz2 $(zlibldflags) -llzma
LDFLAGS =
PYTHONS = python python3

all: makedeltarpm applydeltarpm rpmdumpheader makedeltaiso applydeltaiso combinedeltarpm fragiso

python: _deltarpmmodule.so

makedeltarpm: makedeltarpm.o writedeltarpm.o md5.o util.o rpml.o rpmhead.o cpio.o delta.o cfile.o $(zlibbundled)

applydeltarpm: applydeltarpm.o readdeltarpm.o md5.o sha256.o util.o rpmhead.o cpio.o cfile.o prelink.o $(zlibbundled)

combinedeltarpm: combinedeltarpm.o md5.o util.o rpmhead.o cfile.o readdeltarpm.o writedeltarpm.o $(zlibbundled)

rpmdumpheader: rpmdumpheader.o
	$(CC) $(LDFLAGS) $^ -lrpm -lrpmio -o $@

makedeltaiso: makedeltaiso.o delta.o rpmoffs.o rpmhead.o util.o md5.o cfile.o $(zlibbundled)

applydeltaiso: applydeltaiso.o util.o md5.o cfile.o $(zlibbundled)

fragiso: fragiso.o util.o md5.o rpmhead.o cfile.o $(zlibbundled)

_deltarpmmodule.so: readdeltarpm.o rpmhead.o util.o md5.o cfile.o $(zlibbundled)
	for PY in $(PYTHONS) ; do \
		if [ -x /usr/bin/$$PY-config ] && [ -x /usr/bin/$$PY ]; then \
			PYVER=`$$PY -c 'from distutils import sysconfig ; print(sysconfig.get_python_version())'`; \
			PYCFLAGS=`$$PY-config --cflags`; \
			if [ ! -f "python$$PYVER/$@" ]; then \
				mkdir -p python$$PYVER ;\
				$(CC) $(CFLAGS) $$PYCFLAGS $(zlibcppflag) -fPIC -c -o python$$PYVER/deltarpmmodule.o deltarpmmodule.c ;\
				$(CC) $(LDFLAGS) -o python$$PYVER/$@ python$$PYVER/deltarpmmodule.o $^ -shared -Wl,-soname,_deltarpmmodule.so $(LDLIBS); \
			fi; \
		fi; \
	done

$(zlibbundled):
	cd $(zlibdir) ; make CFLAGS="-fPIC $(CFLAGS)" libz.a

clean:
	rm -f *.o
	rm -f makedeltarpm applydeltarpm combinedeltarpm rpmdumpheader makedeltaiso applydeltaiso fragiso
	cd $(zlibdir) ; make clean

install:
	mkdir -p $(DESTDIR)$(bindir)
	install -m 755 makedeltarpm  $(DESTDIR)$(bindir)
	install -m 755 applydeltarpm $(DESTDIR)$(bindir)
	install -m 755 combinedeltarpm $(DESTDIR)$(bindir)
	install -m 755 rpmdumpheader $(DESTDIR)$(rpmdumpheader)
	install -m 755 makedeltaiso $(DESTDIR)$(bindir)
	install -m 755 applydeltaiso $(DESTDIR)$(bindir)
	install -m 755 fragiso $(DESTDIR)$(bindir)
	install -m 755 drpmsync $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(mandir)/man8
	install -m 644 makedeltarpm.8 $(DESTDIR)$(mandir)/man8
	install -m 644 applydeltarpm.8 $(DESTDIR)$(mandir)/man8
	install -m 644 combinedeltarpm.8 $(DESTDIR)$(mandir)/man8
	install -m 644 makedeltaiso.8 $(DESTDIR)$(mandir)/man8
	install -m 644 applydeltaiso.8 $(DESTDIR)$(mandir)/man8
	install -m 644 fragiso.8 $(DESTDIR)$(mandir)/man8
	install -m 644 drpmsync.8 $(DESTDIR)$(mandir)/man8
	for PY in $(PYTHONS) ; do \
		if [ -x /usr/bin/$$PY ]; then \
                        PYLIB=`$$PY -c 'from distutils import sysconfig ; print(sysconfig.get_python_lib(1))'` ; \
			PYVER=`$$PY -c 'from distutils import sysconfig ; print(sysconfig.get_python_version())'` ; \
			if [ -e python$$PYVER/_deltarpmmodule.so ]; then \
				mkdir -p $(DESTDIR)$(pylibprefix)$$PYLIB ; \
				install -m 755 python$$PYVER/_deltarpmmodule.so $(DESTDIR)$(pylibprefix)$$PYLIB ; \
				install -m 644 deltarpm.py $(DESTDIR)$(pylibprefix)$$PYLIB ; \
			fi; \
		fi; \
	done

.PHONY: clean install

makedeltarpm.o: makedeltarpm.c deltarpm.h util.h md5.h rpmhead.h delta.h cfile.h
applydeltarpm.o: applydeltarpm.c deltarpm.h util.h md5.h rpmhead.h cpio.h cfile.h prelink.h
rpmdumpheader.o: rpmdumpheader.c
makedeltaiso.o: makedeltaiso.c delta.h rpmoffs.h cfile.h md5.h
applydeltaiso.o: applydeltaiso.c cfile.h md5.h
combinedeltarpm.o: combinedeltarpm.c cfile.h md5.h rpmhead.h deltarpm.h
md5.o: md5.c md5.h
util.o: util.c util.h
rpml.o: rpml.c rpml.h
cpio.o: cpio.c cpio.h
rpmhead.o: rpmhead.c rpmhead.h
delta.o: delta.c delta.h util.h
prelink.o: prelink.c prelink.h
cfile.o: cfile.c cfile.h
rpmoffs.o: rpmoffs.c rpmoffs.h
readdeltarpm.o: readdeltarpm.c deltarpm.h util.h md5.h rpmhead.h cfile.h
writedeltarpm.o: readdeltarpm.c deltarpm.h md5.h rpmhead.h cfile.h
fragiso.o: fragiso.c util.h md5.h rpmhead.h cfile.h
deltarpmmodule.o: deltarpmmodule.c

=== debian/changelog ===
deltarpm (3.6+dfsg-1build4) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:38:55 +0000

deltarpm (3.6+dfsg-1build3) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:35:15 +0000

deltarpm (3.6+dfsg-1build2) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:48 +0000

deltarpm (3.6+dfsg-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:05 +0000

deltarpm (3.6+dfsg-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: Fix get-orig-source to get upstream releases as well
    as git snapshots.
  * Drop patches that have been merged upstream:
    - debian/patches/01_spelling-corrections-in-man-pages.patch
    - debian/patches/02_allow-overriding-python-versions.patch
    - debian/patches/03_fix-linking-of-python-extension.patch

 -- Mike Miller <mtmiller@ieee.org>  Sun, 04 Aug 2013 00:04:18 -0400

=== debian/control ===
Source: deltarpm
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mike Miller <mtmiller@ieee.org>
Build-Depends: debhelper (>= 9),
 libbz2-dev,
 liblzma-dev,
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 python3-all-dev (>= 3.2),
 zlib1g-dev
Standards-Version: 3.9.4
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Homepage: http://gitorious.org/deltarpm/deltarpm
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mtmiller-guest/deltarpm.git
Vcs-Git: git://anonscm.debian.org/users/mtmiller-guest/deltarpm.git

Package: deltarpm
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Tools to create and apply deltarpms
 A deltarpm contains the differences between an old and a new version of
 an RPM. This makes it possible to recreate the new RPM from the
 deltarpm and the old RPM.
 .
 On Debian and derived systems these tools may be useful for creating
 and maintaining repositories of RPM packages.

Package: python-deltarpm
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings for deltarpm
 A deltarpm contains the differences between an old and a new version of
 an RPM.
 .
 This package provides the Python bindings for deltarpm, allowing
 Python scripts to read the deltarpm file header.

Package: python3-deltarpm
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python3 bindings for deltarpm
 A deltarpm contains the differences between an old and a new version of
 an RPM.
 .
 This package provides the Python3 bindings for deltarpm, allowing
 Python scripts to read the deltarpm file header.

=== debian/rules ===
#!/usr/bin/make -f

SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
UVERSION := $(shell echo $(VERSION) | sed -e 's/+dfsg.*//')
COMMIT := $(shell echo $(UVERSION) | sed -e 's/.*\.\([0-9abcdef]\+\)/\1/')

CFLAGS := $(shell dpkg-buildflags --get CFLAGS) \
	  $(shell dpkg-buildflags --get CPPFLAGS) -Wall -fPIC
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
LDLIBS := $(shell pkg-config --libs zlib liblzma) -lbz2

PYTHON2 := $(shell pyversions -r)
PYTHON3 := $(shell py3versions -r)

make_args := prefix=/usr \
	     mandir=/usr/share/man \
	     CFLAGS="$(CFLAGS)" \
	     LDFLAGS="$(LDFLAGS)" \
	     LDLIBS="$(LDLIBS)" \
	     PYTHONS="$(PYTHON2) $(PYTHON3)" \
	     zlibbundled="" \
	     zlibcppflags="" \
	     zlibldflags="$(shell pkg-config --libs zlib)"

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	dh_auto_build -- all python $(make_args)

override_dh_auto_install:
	dh_auto_install -- install $(make_args)
	# Handle Python 3 extension naming - adapted from dbus-python
	# 1) Replace ".so" with EXT_SUFFIX
	# 2) Drop "module" from the filename, no longer works with python >> 3.2
	rm -f debian/tmp/usr/lib/python3/dist-packages/*.so
	set -e && for py in $(PYTHON3); do \
		so=`/usr/bin/$$py -c "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX') or sysconfig.get_config_var('SO'))"`; \
		install $$py/_deltarpmmodule.so \
			debian/tmp/usr/lib/python3/dist-packages/_deltarpm$$so; \
	done

override_dh_auto_clean:
	mkdir -p zlib-1.2.2.f-rsyncable
	echo "clean:" > zlib-1.2.2.f-rsyncable/Makefile
	dh_auto_clean
	rm -rf python[0-9].[0-9]
	rm -rf zlib-1.2.2.f-rsyncable

override_dh_installdocs:
	dh_installdocs NEWS README

# Archive the upstream source distribution from git, removing the embedded
# copy of zlib along the way. Assumes running within a git repository that
# contains the upstream git repository. Compression is bzip2 because that's
# what official upstream tarballs are.
get-orig-source:
	case "$(UVERSION)" in \
		*+git*) git archive --format=tar --prefix=$(SOURCE)-$(UVERSION)/ $(COMMIT) | \
			bzip2 > $(SOURCE)_$(UVERSION).orig.tar.bz2 ;; \
		*) uscan --force-download --destdir . --rename --upstream-version $(UVERSION) ;; \
	esac
	cd debian \
	&& rm -rf $(SOURCE)-$(UVERSION) \
	&& bzip2 -dc ../$(SOURCE)_$(UVERSION).orig.tar.bz2 | tar xf - \
	&& rm -rf $(SOURCE)-$(UVERSION)/zlib-1.2.2.f-rsyncable \
	&& tar c --format=posix $(SOURCE)-$(UVERSION) | \
		bzip2 > ../$(SOURCE)_$(UVERSION)+dfsg.orig.tar.bz2 \
	&& rm -rf $(SOURCE)-$(UVERSION)

.PHONY: get-orig-source

## deltarpm 3.6.3%2Bdfsg

=== debian/changelog ===
deltarpm (3.6.3+dfsg-2build5) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:36:21 +0000

deltarpm (3.6.3+dfsg-2build4) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 19:01:42 +0100

deltarpm (3.6.3+dfsg-2build3) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 17:58:46 -0500

deltarpm (3.6.3+dfsg-2build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 06:27:51 +0000

deltarpm (3.6.3+dfsg-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:48:41 +0000

deltarpm (3.6.3+dfsg-2) unstable; urgency=medium

  * Cosmetic: put the first build dependency on a separate line, too.
  * Add an upstream metadata file.
  * Mark my three patches as forwarded upstream.
  * Fix the Last-Update year in the warnings patch header.
  * Add the year 2022 to my debian/* copyright notice.
  * Use black version 22 for the autopkgtest formatting.
  * Add Python 3.10 as supported for the autopkgtest.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Feb 2022 01:45:15 +0200

deltarpm (3.6.3+dfsg-1) unstable; urgency=medium

  * New maintainer; thanks to Mike Miller for his work!
    Closes: #1001612
  * Acknowledge NMU; thanks to the QA team for taking care of this!
  * Update the packaging for conformance with Debian Policy 4.6.0:
    - change the package priority from extra to optional
    - use the HTTPS scheme for the copyright format URL
    - use Files-Excluded instead of the get-orig-source target
    - add Rules-Requires-Root: no to the source control stanza
  * Let py3versions take care of the supported versions.
  * Drop a leftover unused Python 2 reference.
  * Point to the GitHub repo as the upstream site.
  * Update the watch file:
    - switch to format version 4
    - follow the tags in the GitHub repository
    - use the version 4 variables
  * Use the HTTPS scheme for some Debian URLs.
  * Add the typos patch to correct some typographical errors.
  * Add my debian/* copyright notice.
  * Bump the debhelper compat level to 13, no changes.
  * Add a Python testsuite and run it both at build time and as
    an autopkgtest.
  * Drop the version in the python3-dev-all dependency, it is satisfied
    even in oldstable.
  * Add the cppcheck patch to fix some minor C errors.
  * Add the warnings patch to fix some GCC warnings.
  * Activate the full build hardening flags.
  * Build with LFS support if needed.
  * New upstream release:
    - update the typos and warnings patches
    - refresh the line numbers in the 04_omit-rpmdumpheader patch
  * Build with zstd compression support.
  * Update the Debian branch name in the git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Sun, 26 Dec 2021 03:33:05 +0200

deltarpm (3.6+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #943003, #936384

 -- Sandro Tosi <morph@debian.org>  Fri, 20 Dec 2019 16:12:15 -0500

deltarpm (3.6+dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * debian/control: Add explicit build-dependency on dh-python.
    (Closes: #944935)

  [ Mike Miller ]
  * Add DEP-3 headers and refresh all patches.
  * Set maintainer to RPM packaging team, add myself as uploader.
  * Update debian/copyright for 2019.
  * d/control: Update Vcs-* to salsa.debian.org.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Nov 2019 19:59:25 -0500

## deltarpm 3.6.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -8,15 +8,19 @@
 zlibldflags=$(zlibbundled)
 zlibcppflags=-I$(zlibdir)
 pylibprefix=/
-CFLAGS = -fPIC -O2 -Wall -g
+CFLAGS = -fPIC -O2 -Wall -g -DWITH_ZSTD=1
 CPPFLAGS = -fPIC -DDELTARPM_64BIT -DBSDIFF_NO_SUF -DRPMDUMPHEADER=\"$(rpmdumpheader)\" $(zlibcppflags)
-LDLIBS = -lbz2 $(zlibldflags) -llzma
+LDLIBS = -lbz2 $(zlibldflags) -llzma -lzstd
 LDFLAGS =
 PYTHONS = python python3
 
 all: makedeltarpm applydeltarpm rpmdumpheader makedeltaiso applydeltaiso combinedeltarpm fragiso
 
 python: _deltarpmmodule.so
+
+perl:
+	cd perl; perl Makefile.PL
+	@make -C perl
 
 makedeltarpm: makedeltarpm.o writedeltarpm.o md5.o util.o rpml.o rpmhead.o cpio.o delta.o cfile.o $(zlibbundled)
 
@@ -40,7 +44,7 @@
 			PYCFLAGS=`$$PY-config --cflags`; \
 			if [ ! -f "python$$PYVER/$@" ]; then \
 				mkdir -p python$$PYVER ;\
-				$(CC) $(CFLAGS) $$PYCFLAGS $(zlibcppflag) -fPIC -c -o python$$PYVER/deltarpmmodule.o deltarpmmodule.c ;\
+				$(CC) $(CFLAGS) $$PYCFLAGS $(zlibcppflags) -fPIC -c -o python$$PYVER/deltarpmmodule.o deltarpmmodule.c ;\
 				$(CC) $(LDFLAGS) -o python$$PYVER/$@ python$$PYVER/deltarpmmodule.o $^ -shared -Wl,-soname,_deltarpmmodule.so $(LDLIBS); \
 			fi; \
 		fi; \
@@ -84,7 +88,7 @@
 		fi; \
 	done
 
-.PHONY: clean install
+.PHONY: clean install perl
 
 makedeltarpm.o: makedeltarpm.c deltarpm.h util.h md5.h rpmhead.h delta.h cfile.h
 applydeltarpm.o: applydeltarpm.c deltarpm.h util.h md5.h rpmhead.h cpio.h cfile.h prelink.h

=== debian/control ===
Source: deltarpm
Section: admin
Priority: optional
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libbz2-dev,
 liblzma-dev,
 libzstd-dev,
 pkg-config,
 python3-all-dev,
 python3-jinja2 <!nocheck>,
 rpm <!nocheck>,
 rsync <!nocheck>,
 zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/rpm-software-management/deltarpm
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/deltarpm
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/deltarpm.git
Rules-Requires-Root: no

Package: deltarpm
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Tools to create and apply deltarpms
 A deltarpm contains the differences between an old and a new version of
 an RPM. This makes it possible to recreate the new RPM from the
 deltarpm and the old RPM.
 .
 On Debian and derived systems these tools may be useful for creating
 and maintaining repositories of RPM packages.

Package: python3-deltarpm
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python3 bindings for deltarpm
 A deltarpm contains the differences between an old and a new version of
 an RPM.
 .
 This package provides the Python3 bindings for deltarpm, allowing
 Python scripts to read the deltarpm file header.

=== debian/tests/control ===
Test-Command: env PYTHONPATH="$(pwd)/debian/tests/python" python3 -B -u -m test_drpm -b /usr/bin -d "$(pwd)/debian/tests/data" -v
Depends: @, python3, python3-jinja2, rpm, rsync
Restrictions: allow-stderr
Features: test-name=debian-functional

## deltarpm 3.6.4+dfsg

=== debian/changelog ===
deltarpm (3.6.4+dfsg-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:04:01 +0100

deltarpm (3.6.4+dfsg-1) unstable; urgency=medium

  * Use debhelper compat level 14:
    - use X-DH-Compat
    - let debhelper take care of some default dependencies
  * Minor tweaks to the autopkgtest tool:
    - refresh the Python coding style
    - switch from argparse to click and add python3-click as a dependency
    - minor refactoring
  * Use debputy's X-Style: black.
  * New upstream release:
    - drop the cppcheck, typos, and warnings patches, integrated upstream
    - add the debian-path patch to use the Debian scheme for Python paths

 -- Peter Pentchev <roam@debian.org>  Sun, 01 Sep 2024 15:19:14 +0300

deltarpm (3.6.3+dfsg-3) unstable; urgency=medium

  * Fix the cleanup of native Python libraries for Python versions
    3.10 or later. Closes: #1044231
  * Use dpkg-buildflags to pass the compiler and preprocessor flags.
  * Switch the build dependency from pkg-config to pkgconf.
  * Add the years 2023 and 2024 to my debian/* copyright notice.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Use dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF package metadata.
  * Refresh linter configuration and the Python code style of
    the autopkgtest suite.

 -- Peter Pentchev <roam@debian.org>  Sun, 16 Jun 2024 14:19:38 +0300

## deltarpm 3.6.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 _deltarpmmodule.so: readdeltarpm.o rpmhead.o util.o md5.o cfile.o $(zlibbundled)
 	for PY in $(PYTHONS) ; do \
 		if [ -x /usr/bin/$$PY-config ] && [ -x /usr/bin/$$PY ]; then \
-			PYVER=`$$PY -c 'from distutils import sysconfig ; print(sysconfig.get_python_version())'`; \
+			PYVER=`$$PY -c 'import sysconfig ; print(sysconfig.get_python_version())'`; \
 			PYCFLAGS=`$$PY-config --cflags`; \
 			if [ ! -f "python$$PYVER/$@" ]; then \
 				mkdir -p python$$PYVER ;\
@@ -78,8 +78,8 @@
 	install -m 644 drpmsync.8 $(DESTDIR)$(mandir)/man8
 	for PY in $(PYTHONS) ; do \
 		if [ -x /usr/bin/$$PY ]; then \
-                        PYLIB=`$$PY -c 'from distutils import sysconfig ; print(sysconfig.get_python_lib(1))'` ; \
-			PYVER=`$$PY -c 'from distutils import sysconfig ; print(sysconfig.get_python_version())'` ; \
+                        PYLIB=`$$PY -c 'import sysconfig ; print(sysconfig.get_path("platlib"))'` ; \
+			PYVER=`$$PY -c 'import sysconfig ; print(sysconfig.get_python_version())'` ; \
 			if [ -e python$$PYVER/_deltarpmmodule.so ]; then \
 				mkdir -p $(DESTDIR)$(pylibprefix)$$PYLIB ; \
 				install -m 755 python$$PYVER/_deltarpmmodule.so $(DESTDIR)$(pylibprefix)$$PYLIB ; \

=== debian/changelog ===
deltarpm (3.6.5+dfsg-3) unstable; urgency=medium

  * Declare Standards-Version 4.7.3, drop the implied Priority: optional.
  * Add the year 2026 to my debian/* copyright notice.
  * Convert the watch file to version 5 of the format.
  * Add Multi-Arch: foreign to the deltarpm binary package.
  * Add Salsa CI configuration.
  * Add the python-cppflags patch to harden the Python module build.
  * autopkgtest: use the -D rpmbuild option consistently
  * Minor tweaks to the autopkgtest Python tool's linter checks
    (not invoked during the Debian package build).
  * Add a superficial `debputy reformat` autopkgtest.

 -- Peter Pentchev <roam@debian.org>  Mon, 05 Jan 2026 20:54:29 +0200

deltarpm (3.6.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: force v4 when building rpm

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Nov 2025 19:42:09 +0000

deltarpm (3.6.5+dfsg-1) unstable; urgency=medium

  * Minor changes to the autopkgtest program's own lint tests.
  * Add the year 2025 to my debian/* copyright notice.
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Mon, 24 Feb 2025 16:17:04 +0200

=== debian/control ===
Source: deltarpm
Section: admin
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders:
 Peter Pentchev <roam@debian.org>,
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-python,
 dpkg-build-api (= 1),
 libbz2-dev,
 liblzma-dev,
 libzstd-dev,
 pkgconf,
 python3-all-dev,
 python3-click <!nocheck>,
 python3-jinja2 <!nocheck>,
 rpm <!nocheck>,
 rsync <!nocheck>,
 zlib1g-dev,
Standards-Version: 4.7.3
X-DH-Compat: 14
Homepage: https://github.com/rpm-software-management/deltarpm
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/deltarpm
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/deltarpm.git
X-Style: black

Package: deltarpm
Architecture: any
Multi-Arch: foreign
Description: Tools to create and apply deltarpms
 A deltarpm contains the differences between an old and a new version of
 an RPM. This makes it possible to recreate the new RPM from the
 deltarpm and the old RPM.
 .
 On Debian and derived systems these tools may be useful for creating
 and maintaining repositories of RPM packages.

Package: python3-deltarpm
Section: python
Architecture: any
Description: Python3 bindings for deltarpm
 A deltarpm contains the differences between an old and a new version of
 an RPM.
 .
 This package provides the Python3 bindings for deltarpm, allowing
 Python scripts to read the deltarpm file header.

=== debian/tests/control ===
Test-Command: env PYTHONPATH="$(pwd)/debian/tests/python" python3 -B -u -m test_drpm -b /usr/bin -d "$(pwd)/debian/tests/data" -v
Depends:
 python3,
 python3-click,
 python3-jinja2,
 rpm,
 rsync,
 @,
Restrictions:
 allow-stderr,
Features:
 test-name=debian-functional,

Test-Command: debputy reformat --no-auto-fix --linter-exit-code
Depends:
 dh-debputy,
 python3-lsprotocol,
Features:
 test-name=debian-debputy,
Restrictions:
 superficial,

=== debian/watch ===
Version: 5

Source: https://github.com/rpm-software-management/@PACKAGE@/tags
Matching-Pattern: .*/v?@ANY_VERSION@\.tar\.gz
Dversion-Mangle: s/@DEB_EXT@//
Filename-Mangle: s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/
Repack: yes
Repack-Suffix: +dfsg
